PRIOn Logo

CVE-2023-38709 Input validation

Routine
Remediate Within 6 Months

CVE Information

Original CVE data

Published:
Updated:

Faulty input validation in the core of Apache allows malicious or exploitable backend/content generators to split HTTP responses. This issue affects Apache HTTP Server: through 2.4.58.

CWE:
CVSS v2-
CVSS v3-
References
https://httpd.apache.org/security/vulnerabilities_24.html
https://security.netapp.com/advisory/ntap-20240415-0013/
https://lists.fedoraproject.org/archives/list/[email protected]/message/WNV4SZAPVS43DZWNFU7XBYYOZEZMI4ZC/
http://www.openwall.com/lists/oss-security/2024/04/04/3
https://lists.fedoraproject.org/archives/list/[email protected]/message/I2N2NZEX3MR64IWSGL3QGN7KSRUGAEMF/
https://lists.fedoraproject.org/archives/list/[email protected]/message/LX5U34KYGDYPRH3AJ6MDDCBJDWDPXNVJ/
https://lists.debian.org/debian-lts-announce/2024/05/msg00013.html
Affected Vendors

Basic Analysis

Common vulnerability metrics

Vulnerabilty type as detected by PRIOnengine

Input validation

CVSS Scores as calculated by PRIOnengine
CVSS v26.4
AV:N/AC:L/AU:N/C:P/I:P/A:N
CVSS v39.1
AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:N
MITRE CWE Top 25

-

Exploits

No exploit code is reported to exist.

Active Exploitation

Vulnerability is not in CISA's Known Exploited Vulnerabilities (KEV) catalog. See the KEV Catalog

Social Network Activity

-

Threat Actor Activity

No sightings of the vulnerability within threat reports.

Cybersecurity Frameworks

How the vulnerability maps against various cybersecurity frameworks

T1133 - External Remote Services

Compliance Impact

How the submited vulnerability affects compliance

PCI DSS v3.2.1-6.5.8 - Improper Access Control

Web Application Security Frameworks

Applicable if the issue likely affects a web application

WASC-19 - SQL Injection